/*
* ============================================================================
*  Name     : CYksinContainer from YksinContainer.h
*  Part of  : yksin
*  Created  : 03.08.2002 by 
*  Description:
*     Declares container control for application.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef YKSINCONTAINER_H
#define YKSINCONTAINER_H

// INCLUDES
#include <coecntrl.h>
   
// FORWARD DECLARATIONS
class CEikLabel;        // for example labels

// CLASS DECLARATION

/**
*  CYksinContainer  container control class.
*  
*/
class CYksinContainer : public CCoeControl, MCoeControlObserver
    {
    public: // Constructors and destructor
        
        /**
        * EPOC default constructor.
        * @param aRect Frame rectangle for container.
        */
        void ConstructL(const TRect& aRect);

        /**
        * Destructor.
        */
        ~CYksinContainer();

    public: // New functions

    public: // Functions from base classes

    private: // Functions from base classes

       /**
        * From CoeControl,SizeChanged.
        */
        void SizeChanged();

       /**
        * From CoeControl,CountComponentControls.
        */
        TInt CountComponentControls() const;

       /**
        * From CCoeControl,ComponentControl.
        */
        CCoeControl* ComponentControl(TInt aIndex) const;

       /**
        * From CCoeControl,Draw.
        */
        void Draw(const TRect& aRect) const;

       /**
        * From ?base_class ?member_description
        */
        // event handling section
        // e.g Listbox events
        void HandleControlEventL(CCoeControl* aControl,TCoeEvent aEventType);
        
		void PeriodicTick();

    private: //data
        
 //       CEikLabel* iLabel;          // example label
 //       CEikLabel* iToDoLabel;      // example label
		CPeriodic* iPeriodic;
		
	static TInt StaticPeriodicCallback(TAny* aObject);
	enum TState
	{
		EInit,
		EStart,
		EStory,
		EGameProgress,
		EPolkuEntered,
		ECorrectAnswer,
		ELevel2,
		ELevel2Answer,
		EL2CorrectAnswer,
		EDemoVersion,
		EFinal1,
		EGreets

    }iState;

	TInt iTick;
	TReal rSin;

};

#endif

// End of File
